cascading.operation

## Interface Function<Context>

- All Superinterfaces:
    DeclaresResults, Operation<Context>
  All Known Implementing Classes:
    AggregateBy.CompositeFunction, DateFormatter, DateParser, FieldFormatter, FieldJoiner, Identity, Insert, NoOp, RegexGenerator, RegexParser, RegexReplace, RegexSplitGenerator, RegexSplitter, SetValue, UnGroup

      public interface Function<Context>
      extends Operation<Context>

  Interface Function marks a given `Operation` as a function, as opposed to being a `Filter`.

  A Function is responsible for taking Tuple arguments and returning one or more result Tuples.

  To implement a Function, (optionally) sub-class `BaseOperation` and have the new sub-class `implement` this interface.

- - ### Field Summary

    - ### Fields inherited from interface cascading.operation.Operation

      `ANY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `operate(FlowProcess flowProcess, FunctionCall<Context> functionCall)` Method operate provides the implementation of this Function.

    - ### Methods inherited from interface cascading.operation.Operation

      `cleanup, flush, getFieldDeclaration, getNumArgs, isSafe, prepare`

- - ### Method Detail

    - #### operate

          void operate(FlowProcess flowProcess,
                     FunctionCall<Context> functionCall)

      Method operate provides the implementation of this Function.
      Parameters:
        `flowProcess` - of type FlowProcess
        `functionCall` - of type FunctionCall

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.